#!/usr/bin/env fish
import notify

function toggle_idle_screen
	if xset q | rg "DPMS is Enabled"
		# Disable
		xset -dpms
		notify "screen idle off"
	else
		# Enable
	 	xset +dpms
		notify "screen idle on"
	end
end